import * as _cloudflare_workers_types from '@cloudflare/workers-types';
import * as next_server from 'next/server';
import { H as HighlightInterface, a as HighlightEnv, E as EdgeHandler } from './with-highlight-edge-f32fccf0.js';
import '@highlight-run/node';
import '@opentelemetry/resources/build/src/types';
import '@highlight-run/opentelemetry-sdk-workers';
import '@opentelemetry/api';
import 'http';

declare const H: HighlightInterface;

declare function registerHighlight(): void;
declare function EdgeHighlight(env: HighlightEnv): (handler: EdgeHandler) => (request: next_server.NextRequest, event: next_server.NextFetchEvent & _cloudflare_workers_types.ExecutionContext & {
    __waitUntilTimer?: NodeJS.Timeout | undefined;
    __waitUntilPromises?: Promise<void>[] | undefined;
    waitUntilFinished?: (() => Promise<void>) | undefined;
}) => Promise<Response>;
declare function PageRouterHighlight(_: HighlightEnv): void;
declare function AppRouterHighlight(_: HighlightEnv): void;

export { AppRouterHighlight, EdgeHighlight, H, HighlightEnv, PageRouterHighlight, registerHighlight };
